# eric7.Plugins.VcsPlugins.vcsMercurial.HgDiffHighlighter

Module implementing a syntax highlighter for unified and context diff outputs.

### Global Attributes

None

### Classes

HgDiffHighlighter | Class implementing a diff highlighter for Git.

### Functions

None

## HgDiffHighlighter

Class implementing a diff highlighter for Git.

### Derived from

EricGenericDiffHighlighter

### Class Attributes

None

### Class Methods

None

### Methods

HgDiffHighlighter | Constructor
generateRules | Public method to generate the rule set.

### Static Methods

None

#### HgDiffHighlighter (Constructor)

HgDiffHighlighter(doc)

Constructor

doc
  reference to the text document (QTextDocument)

#### HgDiffHighlighter.generateRules

generateRules()

Public method to generate the rule set.

Up